<?php

/*
*
* @link           https://hangar.org
* @since          1.0.0
* @package        hangar_WP_Plugin
*
* Plugin Name:    Hangar wordpress plugin
* Plugin URI:     https://git.hangar.org
* Description:    Different needs for the Hangar Wordpress theme needs. Tag pages, show tagged content in page view, old posts. Adds support for: SVG.
* Date:           2022 07 10
* Version:        1.0.0
* Author:         jorge - vitrubio.net
* Author URI:     https://vitrubio.net/
* License:        GPL 3.0
* License URI:    https://www.gnu.org/licenses/gpl-3.0.html
* Text Domain:    hangar-wpplugin
* Domain Path:    /languages
*/

/*
if ever read this never forget to check
howto write a pluggin by Wordpress.org
https://codex.wordpress.org/Writing_a_Plugin
and the best practices
https://developer.wordpress.org/plugins/plugin-basics/best-practices/
*/

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
//defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'HANGAR_WPPLUGIN_VERSION', '1.0.0' );

/* *
* define Plugin path
* https://developer.wordpress.org/reference/functions/plugin_dir_path/#comment-1113
* * * * * * * * * * * * * * * * * * */
define( 'HANGAR_WPPLUGIN_PATH', plugin_dir_path( __FILE__ ) );

include( HANGAR_WPPLUGIN_PATH . 'includes/hangar-init-textdomain.php');

include( HANGAR_WPPLUGIN_PATH . 'includes/hangar-enable-svg.php');

include( HANGAR_WPPLUGIN_PATH . 'includes/hangar-stylesheet-admin.php');

include( HANGAR_WPPLUGIN_PATH . 'includes/hangar-stylesheet-public.php');

include( HANGAR_WPPLUGIN_PATH . 'includes/hangar-custom-post-type-resources.php');

include( HANGAR_WPPLUGIN_PATH . 'includes/hangar-tags-and-pages.php');

//include( HANGAR_WPPLUGIN_PATH . 'includes/hangar-tags-category-shortcode.php'); // outdated from 2012 do not use

include( HANGAR_WPPLUGIN_PATH . 'includes/hangar-plugin-settings-pannel.php');
